import { createAsyncThunk } from '@reduxjs/toolkit';
import axios from 'axios';
import { Stoke } from './types';
import pickBy from 'lodash/pickBy';
import identity from 'lodash/identity';


export const fetchStoke = createAsyncThunk(
    'stoke/fetchStokeStatus',
    async () => {
      const { data } = await axios.get<Stoke[]>(`http://localhost:3000/api/loadingStock`);
      //console.log(data);
      return data;
    },
  );